explain_fopen_or_die(3)

NAME
explain_fopen_or_die - open file and report errors

SYNOPSIS
#include <libexplain/fopen.h>

FILE *explain_fopen_or_die(const char *pathname, const char *flags);

DESCRIPTION
The explain_fopen_or_die() function opens the file whose name is the string pointed to by pathname and associates a stream with it. See fopen(3) for more information.

This is a quick and simple way for programs to constitently report file open errors in a consistent and detailed fahion.

RETURN VALUE
Upon successful completion explain_fopen_or_die returns a FILE pointer.

If an error occurs, explain_fopen will be called to explain the error, which will be printed onto stderr, and then the process will terminate by calling exit(EXIT_FAILURE).

SEE ALSO

fopen(3)
    stream open functions

explain_fopen(3)
    explain fopen(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>